Subject: Re: bug#65007: [PATCH] Allow displaying program IO in the GDB buffer.

From: StrawberryTea <[email-masked]>
Date: Sat, 16 Sep 2023 00:38:21 -0500

Eli Zaretskii <[email-masked]> writes:
Yup. Here it is. By the way, is there any information on debugging or stepping through the display engine?

lisp/progmodes/gdb-mi.el (gdb-split-io-flag): Don’t create IO
═════════════════════════════════════════════════════════════

buffer if `gdb-split-io-flag’.
(gdb-split-io-flag): New user option.
—
 lisp/progmodes/gdb-mi.el | 14 +++++++++++—
 1 file changed, 11 insertions(+), 3 deletions(-)

diff –git a/lisp/progmodes/gdb-mi.el b/lisp/progmodes/gdb-mi.el
index 42c1c715c73..8ce5df6e0c7 100644
— a/lisp/progmodes/gdb-mi.el
+++ b/lisp/progmodes/gdb-mi.el
@@ -1098,9 +1098,10 @@ gdb-init-1
                      (if gdb-debuginfod-enable “on” “off”))
              ’gdb-debuginfod-message)

• (gdb-get-buffer-create ’gdb-inferior-io)
• (gdb-clear-inferior-io)
• (gdb-inferior-io–init-proc (get-process “gdb-inferior”))
⁃ (when gdb-display-io-buffer
⁃ (gdb-get-buffer-create ’gdb-inferior-io)
⁃ (gdb-clear-inferior-io)
⁃ (gdb-inferior-io–init-proc (get-process “gdb-inferior”)))

  (when (eq system-type ’windows-nt)
    ;; Don’t create a separate console window for the debuggee.
@@ -1828,6 +1829,13 @@ gdb-display-io-nopopup
   :group ’gdb
   :version “25.1”)

+(defcustom gdb-display-io-buffer t
⁃ “When non-nil, display the `gdb-inferior-io’ buffer.  Otherwise,
+send program output to the GDB buffer.“
⁃ :type ’boolean
⁃ :group ’gdb
⁃ :version “30.1”)
⁃ (defun gdb-inferior-filter (proc string)
    (unless (string-equal string “”)
      (let (buf)
– 
2.42.0

> Ping!  Did you have time to produce an updated patch incorporating all
> the review comments?  If so, please post it.  I’d like to install this
> change when it is ready.
>
> Thanks.
>
>> Cc: [email-masked], [email-masked]
>> Date: Sun, 27 Aug 2023 11:01:44 +0300
>> From: Eli Zaretskii <[email-masked]>
>>
>> > Cc: [email-masked]
>> > From: StrawberryTea <[email-masked]>
>> > Date: Sat, 26 Aug 2023 14:37:06 -0400
>> >
>> > I’m not sure whether I should reply or always send the edited patch in as a separate email and have been emailing several times but no longer getting responses. I made the changes you requested:
>>
>> It is best to send an updated patch, yes.  That will make the job of
>> installing the changes easier and less error-prone.
>>
>> Don’t worry about the responses, your messages are being received and
>> taken care of, and the changes will be installed once there are no
>> more review comments.
>>
>> Thank you for working on this problem.
>>
>>
>>
>>